<div id="hideBottomInput">
  <div class="pa-4 flex items-center justify-between bg-white">
    <div class="flex items-center">
      <v-btn icon fab small @click="$router.push(`/admin/settings/payment-method/detail/${paymentDetail._id}`)">
        <v-icon color="#111827">
          mdi-close
        </v-icon>
      </v-btn>
      <p class="mb-0 ml-4 font-medium text-gray-900">
        <span class="d-none d-md-inline">Settings for</span> {{paymentDetail.name}}
      </p>
    </div>
    <v-btn color="#3B82F6" class="elevation-0 rounded" height="44" @click="onSave()">
      <p class="mb-0 font-semibold text-white capitalize">
        Save changes
      </p>
    </v-btn>
  </div>
  <div class="mx-auto mt-6" style="max-width: 912px">
    <div class="grid grid-cols-12 gap-8">
      <div class="col-span-12 md:col-span-4 rounded-lg">
        <v-tabs :vertical="$vuetify.breakpoint.name === 'lg' || $vuetify.breakpoint.name === 'xl'" v-model="tab"
          show-arrows>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500 font-semibold">
              Payment Method Info
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Privacy Policy
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Shipping Policy
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Refund Policy
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Terms Policy
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Faqs
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              About Us
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Dmca
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Cancel And Order Change
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Payment Method
            </p>
          </v-tab>


        </v-tabs>
      </div>
      <div class="col-span-12 md:col-span-8 rounded-lg">
        <div class="bg-white rounded pa-4" v-show="tab === 0">
          <div class="pa-4 bg-white">
            <p class="mb-4 text-neutral-900 font-semibold">
              Payment Method Info
            </p>
            <div class="grid grid-cols-12">
              <div class="col-span-12 md:col-span-4 flex items-center">
                <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                  Payment Type:
                </p>
              </div>
              <div class="col-span-12 md:col-span-8">
                <v-select dense outlined :items="listPaymentType" item-text="name" item-value="value"
                  v-model="payment.type">
                  <template v-slot:prepend-inner>
                    <div class="flex items-center">
                      <img src="~/assets/images/paypal-payment.png" alt="" width="24" height="24"
                        v-if="payment.type === 'paypal'">
                      <img src="~/assets/images/stripe-payment.png" alt="" width="24" height="24"
                        v-if="payment.type === 'stripe'">
                    </div>
                  </template>
                  <template v-slot:item=" {item}">
                    <span class="ml-2">{{item.name}}</span>
                  </template>
                </v-select>
              </div>
            </div>
            <div class="grid grid-cols-12 mt-4">
              <div class="col-span-12 md:col-span-4 flex items-center">
                <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                  Method Name:
                </p>
              </div>
              <div class="col-span-12 md:col-span-8">
                <v-text-field dense outlined placeholder="Enter method name" v-model="payment.name">
                </v-text-field>
              </div>
            </div>
            <div class="grid grid-cols-12 mt-4">
              <div class="col-span-12 md:col-span-4 flex items-center">
                <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                  Public Key:
                </p>
              </div>
              <div class="col-span-12 md:col-span-8">
                <v-text-field dense outlined placeholder="Enter public key" v-model="payment.publicKey">
                </v-text-field>
              </div>
            </div>
            <div class="grid grid-cols-12 mt-4">
              <div class="col-span-12 md:col-span-4 flex items-center">
                <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                  Private Key:
                </p>
              </div>
              <div class="col-span-12 md:col-span-8">
                <v-text-field dense outlined placeholder="Enter private key" v-model="payment.secretKey">
                </v-text-field>
              </div>
            </div>
          </div>
          <div class="mt-4 bg-white pa-4 flex items-center justify-between rounded" v-if="!payment.enabled">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500 font-semibold">
              Delete Payment Method
            </p>
            <v-btn color="#EF4444" class="elevation-0" height="44" @click="dialogRemovePayment = true">
              <div class="flex items-center">
                <v-icon color="#fff">
                  mdi-trash-can
                </v-icon>
                <p class="mb-0 ml-3 text-white font-semibold capitalize">
                  Delete Payment Method
                </p>
              </div>
            </v-btn>
          </div>
        </div>
        <div class="bg-white rounded pa-4" v-show="tab === 1">
          <p class="mb-4 text-neutral-900 font-semibold">
            Privacy
          </p>
          <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="payment.policy.privacy"
            :content.sync="payment.policy.privacy" :resetContent.sync="resetContent" />
        </div>
        <div class="bg-white rounded pa-4" v-show="tab === 2">
          <p class="mb-4 text-neutral-900 font-semibold">
            Shipping
          </p>
          <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="payment.policy.shipping"
            :content.sync="payment.policy.shipping" :resetContent.sync="resetContent" />
        </div>
        <div class="bg-white rounded pa-4" v-show="tab === 3">
          <p class="mb-4 text-neutral-900 font-semibold">
            Refund
          </p>
          <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="payment.policy.refund"
            :content.sync="payment.policy.refund" :resetContent.sync="resetContent" />
        </div>
        <div class="bg-white rounded pa-4" v-show="tab === 4">
          <p class="mb-4 text-neutral-900 font-semibold">
            Terms
          </p>
          <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="payment.policy.terms"
            :content.sync="payment.policy.terms" :resetContent.sync="resetContent" />
        </div>
        <div class="bg-white rounded pa-4" v-show="tab === 5">
          <p class="mb-4 text-neutral-900 font-semibold">
            Faqs
          </p>
          <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="payment.policy.faqs"
            :content.sync="payment.policy.faqs" :resetContent.sync="resetContent" />
        </div>
        <div class="bg-white rounded pa-4" v-show="tab === 6">
          <p class="mb-4 text-neutral-900 font-semibold">
            About Us
          </p>
          <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="payment.policy.aboutUs"
            :content.sync="payment.policy.aboutUs" :resetContent.sync="resetContent" />
        </div>
        <div class="bg-white rounded pa-4" v-show="tab === 7">
          <p class="mb-4 text-neutral-900 font-semibold">
            Dmca
          </p>
          <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value="" v-model="payment.policy.dmca"
            :content.sync="payment.policy.dmca" :resetContent.sync="resetContent" />
        </div>
        <div class="bg-white rounded pa-4" v-show="tab === 8">
          <p class="mb-4 text-neutral-900 font-semibold">
            Cancel And Order Change
          </p>
          <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value=""
            v-model="payment.policy.cancelAndOrderChange" :content.sync="payment.policy.cancelAndOrderChange"
            :resetContent.sync="resetContent" />
        </div>
        <div class="bg-white rounded pa-4" v-show="tab === 9">
          <p class="mb-4 text-neutral-900 font-semibold">
            Payment Method
          </p>
          <Editor :api-key="api_key_tiny_editor" :init="initEditor" initial-value=""
            v-model="payment.policy.paymentMethod" :content.sync="payment.policy.paymentMethod"
            :resetContent.sync="resetContent" />
        </div>
      </div>
    </div>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogRemovePayment" :persistent="loading" max-width="360">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              Delete Payment Method
            </p>
          </div>
          <v-btn icon small @click="dialogRemovePayment = false">
            <v-icon color="#111827">
              mdi-close
            </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <p class="my-4 text-sm text-neutral-900 mx-3">
          Delete this payment method?
          <br>
          <span class="font-semibold">Note</span>: This action cannot be redo, all of your sellers who using this method
          will be affacted.
        </p>
        <v-divider></v-divider>
        <div class="flex items-center justify-end py-4 px-6">
          <v-btn color="#E5E7EB" outlined class="elevation-0 mr-3" height="44" @click="dialogRemovePayment = false"
            :disabled="loading">
            <p class="mb-0 text-sm text-neutral-900 font-semibold capitalize">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#EF4444" class="elevation-0" height="44" @click="onDeletePayment()" :disabled="loading">
            <v-progress-circular indeterminate color="#fff" v-if="loading" size="22">
            </v-progress-circular>
            <p class="mb-0 text-sm text-white font-semibold capitalize" v-else>
              Remove
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
